package softmc;

import java.util.Collection;

import korat.utils.func.Func1;
import softmc.state.BlockState;
import softmc.state.GlobalState;

public class GlobalOptions {

    public static final Func1<GlobalState, Collection<BlockState>> DFS_STRATEGY = 
        new StateOptimizer.StateElimStrategy();
    public static final Func1<GlobalState, Collection<BlockState>> REV_DFS_STRATEGY = 
        new StateOptimizer.StateElimRevStrategy();
    
    public static Func1<GlobalState, Collection<BlockState>> __elim_strategy = REV_DFS_STRATEGY;
    public static String __templ_file = "templ/CheckerTemplate.cs.tmpl"; 
    
}
