package softmc.logic;

public abstract class BinTerm extends Term {

    protected Term lhs, rhs;

    BinTerm(Term lhs, Term rhs) {
        this.lhs = lhs;
        this.rhs = rhs;
    }

    public Term getLhs() {
        return lhs;
    }

    public Term getRhs() {
        return rhs;
    }
    
    public void setLhs(Term lhs) {
        this.lhs = lhs;
    }

    public void setRhs(Term rhs) {
        this.rhs = rhs;
    }

    @Override
    public String toString() {
        return String.format("(%s %s %s)", lhs, getOp(), rhs);
    }

    public abstract String getOp();
    
}
