package softmc.logic;

public class Ite extends N_aryTerm {
    
    private Ite(Term... terms) {
        super(terms);
    }
    
    public Ite(Term cond, Term thenTerm, Term elseTerm) {
        this(new Term[] { cond, thenTerm, elseTerm });
    }

    public Term getCond() {
        return terms[0];
    }

    public Term getThenTerm() {
        return terms[1];
    }

    public Term getElseTerm() {
        return terms[2];
    }
    
    public void setCond(Term t) {
        setTerm(0, t);
    }

    public void setThenTerm(Term t) {
        setTerm(1, t);
    }
    
    public void setElseTerm(Term t) {
        setTerm(2, t);
    }
    
    @Override
    public String getOp() {
        return "ite";
    }

}
