package softmc.logic;

public class Sort {

    private final String sortName;

    Sort(String sortName) {
        this.sortName = sortName;
    }

    public String getSortName() {
        return sortName;
    }

    @Override
    public String toString() {
        return sortName;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((sortName == null) ? 0 : sortName.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (obj == null)
            return false;
        if (getClass() != obj.getClass())
            return false;
        Sort other = (Sort) obj;
        if (sortName == null) {
            if (other.sortName != null)
                return false;
        } else if (!sortName.equals(other.sortName))
            return false;
        return true;
    }

}
