package softmc.logic;

public abstract class UnaryTerm extends Term {

    protected Term term;

    public UnaryTerm(Term term) {
        this.term = term;
    }

    public Term getTerm() {
        return term;
    }

    public void setTerm(Term term) {
        this.term = term;
    }

    @Override
    public String toString() {
        return String.format("(%s %s)", getOp(), term);
    }

    public abstract String getOp();

}
