package softmc;

import java.lang.reflect.Method;

import softmc.examples.Examples;
import softmc.state.BlockState;

public class Bench {

    public static void main(String[] args) {
        String className = Examples.class.getName();

        for (Method m : Examples.class.getDeclaredMethods()) {
            String methodName = m.getName();
            if ("main".equals(methodName))
                continue;
            System.out.println(String.format("Checking method %s::%s", className, methodName));
            ModelChecker mc = new ModelChecker();
            try {
                mc.checkMethod(className, methodName);
                BlockState.resetAudoId();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }

}
