package softmc.logic;

/**
 * @author aleks
 *
 */
public class App extends N_aryTerm {

    private final String appName;
    private final Sort retSort;
    
    public App(String name, Sort retSort, Term[] args) {
        super(args);
        this.appName = name;
        this.retSort = retSort;
    }

    public String getAppName() {
        return appName;
    }

    public Sort getRetSort() {
        return retSort;
    }

    @Override
    public String getOp() {
        return "App";
    }
    
    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        for (Term t : terms) {
            sb.append(", ").append(t);
        }
        return String.format("%s(%s)", getAppName(), sb.substring(2));
    }
    
}
