package softmc.logic;

public class ArraySelect extends BinTerm {

    public ArraySelect(Term array, Term index) {
        super (array, index);
    }

    public Term getArray() { return lhs; }
    public Term getIndex() { return rhs; }
    public void setArray(Term array) { setLhs(array); }
    public void setIndex(Term index) { setRhs(index); }
    
    @Override
    public String getOp() {
        return "select";
    }

    @Override
    public String toString() {
        return String.format("%s[%s]", getArray(), getIndex());
    }
    
}
