package softmc.logic;

/**
 * @Immutable 
 */
public abstract class VarModTerm extends Term {

    protected final Var var;

    public VarModTerm(Var var) {
        this.var = var;
    }
    
    public Var getVar() {
        return var;
    }

    @Override
    public String toString() {
        return String.format(getOp() + "(%s)", var);
    }

    protected abstract String getOp();  

}
